{
  description = "A flake that installs SMC fonts. It follows unstable.";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = inputs:
    with inputs;
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = nixpkgs.legacyPackages.${system};
        font-smc-manjari = pkgs.callPackage ./manjari/default.nix { };
        font-smc-anjali-old-lipi =
          pkgs.callPackage ./anjali-old-lipi/default.nix { };
        font-smc-chilanka = pkgs.callPackage ./chilanka/default.nix { };
      in rec {
        packages = {
          smc-anjali-old-lipi = font-smc-anjali-old-lipi;
          smc-manjari = font-smc-manjari;
          smc-chilanka = font-smc-chilanka;

          all = pkgs.symlinkJoin {
            name = "all";
            paths =
              [ font-smc-anjali-old-lipi font-smc-chilanka font-smc-manjari ];
          };
          default = packages.all;
        };
      });
}
